Colt 1.2.0

## cern.colt.list.adapter
Class LongListAdapter

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              cern.colt.list.adapter.LongListAdapter

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List

    public class LongListAdapter

extends java.util.AbstractList
implements java.util.List

Adapter that permits an `AbstractLongList` to be viewed and treated as a JDK 1.2 `AbstractList`. Makes the contained list compatible with the JDK 1.2 Collections Framework.

Any attempt to pass elements other than `java.lang.Number` to setter methods will throw a `java.lang.ClassCastException`. `java.lang.Number.longValue()` is used to convert objects into primitive values which are then stored in the backing templated list. Getter methods return `java.lang.Long` objects.

Constructor Summary
`LongListAdapter(AbstractLongList content)` Constructs a list backed by the specified content list.

Method Summary
`void` `add(int index, java.lang.Object element)` Inserts the specified element at the specified position in this list (optional operation).
`java.lang.Object` `get(int index)` Returns the element at the specified position in this list.
`java.lang.Object` `remove(int index)` Removes the element at the specified position in this list (optional operation).
`java.lang.Object` `set(int index, java.lang.Object element)` Replaces the element at the specified position in this list with the specified element (optional operation).
`int` `size()` Returns the number of elements in this list.

Methods inherited from class java.util.AbstractList
`add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, addAll, clear, contains, containsAll, equals, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, removeAll, retainAll, subList, toArray, toArray`

Constructor Detail

### LongListAdapter

    public LongListAdapter(AbstractLongList content)

  Constructs a list backed by the specified content list.

Method Detail

### add

    public void add(int index,
                    java.lang.Object element)

  Inserts the specified element at the specified position in this list (optional operation). Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `java.util.AbstractList`
  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Throws:
    `java.lang.ClassCastException` - if the class of the specified element prevents it from being added to this list.
    `java.lang.IllegalArgumentException` - if some aspect of the specified element prevents it from being added to this list.
    `java.lang.IndexOutOfBoundsException` - index is out of range (`index < 0 || index > size()`).

### get

    public java.lang.Object get(int index)

  Returns the element at the specified position in this list.

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`
  Parameters:
    `index` - index of element to return.
  Returns:
    the element at the specified position in this list.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the given index is out of range (`index < 0 || index >= size()`).

### remove

    public java.lang.Object remove(int index)

  Removes the element at the specified position in this list (optional operation). Shifts any subsequent elements to the left (subtracts one from their indices). Returns the element that was removed from the list.

  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `java.util.AbstractList`
  Parameters:
    `index` - the index of the element to remove.
  Returns:
    the element previously at the specified position.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the specified index is out of range (`index < 0 || index >= size()`).

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Replaces the element at the specified position in this list with the specified element (optional operation).

  Specified by:
    `set` in interface `java.util.List`
  Overrides:
    `set` in class `java.util.AbstractList`
  Parameters:
    `index` - index of element to replace.
    `element` - element to be stored at the specified position.
  Returns:
    the element previously at the specified position.
  Throws:
    `java.lang.ClassCastException` - if the class of the specified element prevents it from being added to this list.
    `java.lang.IllegalArgumentException` - if some aspect of the specified element prevents it from being added to this list.
    `java.lang.IndexOutOfBoundsException` - if the specified index is out of range (`index < 0 || index >= size()`).

### size

    public int size()

  Returns the number of elements in this list.

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of elements in this list.

Colt 1.2.0

Jump to the Colt Homepage